<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>setup.find.DDRS</name>
<version>2</version>
<engineversion>32</engineversion>
<description>Scan all sectors for SYs</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" interruptable="@" indent=""><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>a.find.PHQ</call><text>&#160;:&#160;</text></line>
<line linenr="002" indent=""></line>
<line linenr="003" indent=""><var>$Found&#160;=&#160;</var><var>0</var></line>
<line linenr="004" indent=""><var>$sectors&#160;=&#160;</var><var>0</var></line>
<line linenr="005" indent=""><var>$MX&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;x&#160;direction</text></line>
<line linenr="006" indent=""><var>$MY&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;y&#160;direction</text></line>
<line linenr="007" indent=""><var>$Msg&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>1370</var><text>&#160;textid=</text><var>3</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="008" indent=""><var>$SY&#160;=&#160;</var><var>0</var></line>
<line linenr="009" indent=""><var>while&#160;</var><var>$SY</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$MY</var></line>
<line linenr="010" indent="&#160;"><var>$SX&#160;=&#160;</var><var>0</var></line>
<line linenr="011" indent="&#160;"><var>while&#160;</var><var>$SX</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$MX</var></line>
<line linenr="012" indent="&#160;&#160;"><var>$S&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>$SX</var><text>,&#160;y=</text><var>$SY</var></line>
<line linenr="013" indent="&#160;&#160;"><var>if&#160;</var><var>$S</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="014" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>NullSector</var></line>
<line linenr="015" indent="&#160;&#160;"><text>end</text></line>
<line linenr="016" indent="&#160;&#160;"><text>inc&#160;</text><var>$sectors&#160;=&#160;</var></line>
<line linenr="017" indent="&#160;&#160;"><var>$ShipYard&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$S</var><text>&#160;class&#160;or&#160;type=</text><var>Pirates&#160;The&#160;Marauder</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>0</var></line>
<line linenr="018" indent="&#160;&#160;"><var>if&#160;</var><var>$ShipYard</var></line>
<line linenr="019" indent="&#160;&#160;&#160;"><var>$POSx&#160;=&#160;</var><var>$ShipYard&#160;-&gt;</var><text>&#160;get&#160;x&#160;position</text></line>
<line linenr="020" indent="&#160;&#160;&#160;"><var>$POSx&#160;=&#160;</var><var>$POSx</var><text>&#160;</text><var>/</var><text>&#160;</text><var>1000</var></line>
<line linenr="021" indent="&#160;&#160;&#160;"><var>$POSy&#160;=&#160;</var><var>$ShipYard&#160;-&gt;</var><text>&#160;get&#160;y&#160;position</text></line>
<line linenr="022" indent="&#160;&#160;&#160;"><var>$POSy&#160;=&#160;</var><var>$POSy</var><text>&#160;</text><var>/</var><text>&#160;</text><var>1000</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>$POSz&#160;=&#160;</var><var>$ShipYard&#160;-&gt;</var><text>&#160;get&#160;z&#160;position</text></line>
<line linenr="024" indent="&#160;&#160;&#160;"><var>$POSz&#160;=&#160;</var><var>$POSz</var><text>&#160;</text><var>/</var><text>&#160;</text><var>1000</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$SYName&#160;=&#160;</var><var>$ShipYard&#160;-&gt;</var><text>&#160;get&#160;name</text></line>
<line linenr="026" indent="&#160;&#160;&#160;"><var>$MsgPt1&#160;=&#160;</var><var>'&#160;&#160;&#160;&#160;&#160;&#160;'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$SYName</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'&#160;is&#160;in&#160;sector&#160;'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$S</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'&#160;('</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$SY</var><text>&#160;</text><var>+</var><text>&#160;</text><var>',&#160;'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$SX</var><text>&#160;</text><var>+</var><text>&#160;</text><var>')'</var></line>
<line linenr="027" indent="&#160;&#160;&#160;"><var>$MsgPt2&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>1370</var><text>&#160;textid=</text><var>5</var><text>,&#160;</text><var>$POSx</var><text>,&#160;</text><var>$POSy</var><text>,&#160;</text><var>$POSz</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"><var>$Msg&#160;=&#160;</var><var>$Msg</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$MsgPt1</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$MsgPt2</var></line>
<line linenr="029" indent="&#160;&#160;"><text>end</text></line>
<line linenr="030" indent="&#160;&#160;"></line>
<line linenr="031" indent=""><var>NullSector</var><text>:</text></line>
<line linenr="032" indent="&#160;&#160;"><text>inc&#160;</text><var>$SX&#160;=&#160;</var></line>
<line linenr="033" indent="&#160;"><text>end</text></line>
<line linenr="034" indent="&#160;"><text>inc&#160;</text><var>$SY&#160;=&#160;</var></line>
<line linenr="035" indent=""><text>end</text></line>
<line linenr="036" indent=""></line>
<line linenr="037" indent=""><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$Msg</var></line>
<line linenr="038" indent=""></line>
<line linenr="039" indent=""><var>ScriptEND</var><text>:</text></line>
<line linenr="040" indent=""><text>return&#160;</text><var>[FALSE]</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="setup.find.DDRS" /><sval type="int" val="32" /><sval type="string" val="Scan all sectors for SYs" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="15"><sval type="string" val="Found" /><sval type="string" val="sectors" /><sval type="string" val="MX" /><sval type="string" val="MY" /><sval type="string" val="Msg" /><sval type="string" val="SY" /><sval type="string" val="SX" /><sval type="string" val="S" /><sval type="string" val="ShipYard" /><sval type="string" val="POSx" /><sval type="string" val="POSy" /><sval type="string" val="POSz" /><sval type="string" val="SYName" /><sval type="string" val="MsgPt1" /><sval type="string" val="MsgPt2" /></sval><sval type="array" size="34"><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="a.find.PHQ" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="801" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="802" /><sval type="int" val="3" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1370" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604791" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605303" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609405" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="26" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="1" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="393455" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606077" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="740" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="741" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="742" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="11" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="14" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="1028" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="12" /></sval><sval type="array" size="55"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="17" /><sval type="int" val="5" /><sval type="string" val="      " /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val=" is in sector " /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val=" (" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val=", " /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val=")" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="17" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /><sval type="int" val="11" /><sval type="int" val="-6" /><sval type="int" val="11" /><sval type="int" val="-8" /><sval type="int" val="11" /><sval type="int" val="-10" /><sval type="int" val="11" /><sval type="int" val="-12" /><sval type="int" val="11" /><sval type="int" val="-14" /><sval type="int" val="11" /><sval type="int" val="-16" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="1370" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="NullSector" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="7" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="ScriptEND" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval></sval><sval type="int" val="0" /><sval type="array" size="8"><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>

